module Position_Adjust(
						Reset,
						En,
						Position_Adjust_Select,
						Position_Data,
						Position_Set,
						Position_Adjust_Out
						);

input  Reset;
input  En;
input  Position_Adjust_Select;
input  [11:0] Position_Data;
input  [11:0] Position_Set;
output Position_Adjust_Out;

reg Position_Adjust_Out;

always @(En or Reset or Position_Adjust_Select or Position_Data or Position_Set)
begin
  if((En == 1'b1) || (Reset == 1'b1) ||(Position_Adjust_Select == 1'b0))
	Position_Adjust_Out <= 1'b0;
  else
  begin
    if(Position_Data == Position_Set)
      Position_Adjust_Out <= 1'b0;
    else
      Position_Adjust_Out <= 1'b1;   
  end
end

endmodule
